fse.ws.handler

## Class AbstractPDDASLHandler

- java.lang.Object
- - fse.ws.handler.AbstractPDDASLHandler

- All Implemented Interfaces:
    javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>
  Direct Known Subclasses:
    AccessiPDDASLHandler, FSEPDDASLHandler, GCAPDDASLHandler, TACCPDDASLHandler

      public abstract class AbstractPDDASLHandler
      extends java.lang.Object
      implements javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPDDASLHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analisiFaultPDDGateway(javax.xml.soap.SOAPMessage messaggio)` Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
    `static java.lang.String` | `getDataCorrente()` Restituisce la data corrente nel formato dd/mm/yyyy - hh:mm:ss.SSS
    `static javax.xml.soap.SOAPMessage` | `inviaMessaggio(javax.xml.soap.SOAPMessage message, java.lang.String url)`
    `static javax.xml.soap.SOAPMessage` | `inviaMessaggio(javax.xml.soap.SOAPMessage message, java.lang.String url, java.lang.String idTransazione, int timeoutMs)`
    `java.lang.String` | `toString(javax.xml.soap.SOAPMessage message)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.ws.handler.soap.SOAPHandler

      `getHeaders`

    - ### Methods inherited from interface javax.xml.ws.handler.Handler

      `close, handleFault, handleMessage`

- - ### Constructor Detail

    - #### AbstractPDDASLHandler

          public AbstractPDDASLHandler()

  - ### Method Detail

    - #### toString

          public java.lang.String toString(javax.xml.soap.SOAPMessage message)
                                    throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### inviaMessaggio

          public static javax.xml.soap.SOAPMessage inviaMessaggio(javax.xml.soap.SOAPMessage message,
                                                                  java.lang.String url)
                                                           throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### inviaMessaggio

          public static javax.xml.soap.SOAPMessage inviaMessaggio(javax.xml.soap.SOAPMessage message,
                                                                  java.lang.String url,
                                                                  java.lang.String idTransazione,
                                                                  int timeoutMs)
                                                           throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### getDataCorrente

          public static java.lang.String getDataCorrente()

      Restituisce la data corrente nel formato dd/mm/yyyy - hh:mm:ss.SSS
      Returns:
        data corrente

    - #### analisiFaultPDDGateway

          public void analisiFaultPDDGateway(javax.xml.soap.SOAPMessage messaggio)
                                      throws javax.xml.soap.SOAPException,
                                             java.lang.Exception

      Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
      Parameters:
        `messaggio` -
      Throws:
        `javax.xml.soap.SOAPException`
        `ApplicationException`
        `java.lang.Exception`